package com.jscape.inet.ssh.protocol.v2.marshaling.primitive;

import com.jscape.util.io.primitive.LongCodec;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public class Uint64Codec {

    public static long readValue(InputStream in)
            throws IOException {
        return LongCodec.readBigEndianValue(in);
    }

    public static void writeValue(long value, OutputStream out)
            throws IOException {
        LongCodec.writeBigEndianValue(value, out);
    }

    private Uint64Codec() {
    }
}
